# Timezones

A Vencord plugin that shows the local time of users in profiles and message headers. Supports persistent timezones via a centralized database.

## Features

- Shows user timezones in message headers and profile modals.
- Allows setting local or database-based timezones.
- 24h or 12h format toggle.
- Easily manage your own timezone with database sync.
- Tooltip with detailed datetime format.

## Settings

| Setting                   | Type      | Description                                                                 | Default   |
|---------------------------|-----------|-----------------------------------------------------------------------------|-----------|
| Show Own Timezone         | Boolean   | Show your own timezone in message headers and profiles                      | `true`    |
| 24h Time                  | Boolean   | Display time in 24-hour format                                              | `false`   |
| Show Time in Messages     | Boolean   | Show local time next to messages                                            | `true`    |
| Show Time in Profiles     | Boolean   | Show local time in user profiles                                            | `true`    |
| Use Database              | Boolean   | Enable pulling timezones from the online database                           | `true`    |
| Prefer Database Over Local| Boolean   | Prefer database timezones over locally stored ones                          | `true`    |
| Set Database Timezone     | Component | Opens a modal to set your timezone in the database                          |           |
| Reset Database Timezone   | Component | Clears your stored database timezone                                        |           |

## Toolbox Actions

- **Set Database Timezone**: Opens the authorization modal to set your current timezone.
- **Refresh Database Timezones**: Refetches all stored timezones from the server.

## Installation

For installation instructions, see [Vencord Docs](https://docs.vencord.dev/installing/custom-plugins/).

## Infos

- Timezones are saved per-user.
- Database-based timezones are synced from [timezone.creations.works](https://timezone.creations.works).
- The plugin prompts the user to store their timezone on the first use if database mode is enabled.

## Author

- [daveyy](https://daveyy.net)
- [creations](https://creations.works)

## License

[GPL-3.0-or-later](https://www.gnu.org/licenses/gpl-3.0.html)
